package ccws2024.workshop1.logic;

import java.time.LocalDate;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class Logic
{
    public static Map<String,DOPerson> s_allPersons = new HashMap<String,DOPerson>();
 
    static
    {
        for (int i=0; i<100; i++)
        {
            DOPerson p = new DOPerson();
            p.setId(""+i);
            p.setFirstName("First " + i);
            p.setLastName("Last " + i);
            p.setBirthDate(LocalDate.now());
            s_allPersons.put(""+i,p);
        }
    }
    
    public static DOPerson readPerson(String id)
    {
        return s_allPersons.get(id);
    }
    
    public static List<DOPerson> readAllPersons()
    {
        List<DOPerson> result = new ArrayList<DOPerson>(s_allPersons.values());
        return result;
    }
}
